Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.loading
Class CompressedClassBytes

    java.lang.Object
      org.jboss.remoting.loading.ClassBytes
          org.jboss.remoting.loading.CompressedClassBytes

All Implemented Interfaces:
  Externalizable, Serializable

public class CompressedClassBytes
extends ClassBytes
implements Externalizable

CompressedClassBytes is a ClassBytes subclass that compresses class data, if possible.

Version:
  $Revision: 1.1 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.remoting.loading.ClassBytes
`classBytes, className`

Constructor Summary
`CompressedClassBytes()`
`CompressedClassBytes(String className, byte[] data, int compressionLevel)`

Method Summary
`byte[]` | `compress(byte[] input)` Compresses the input data.
`static void` | `main(String[] args)`
`void` | `readExternal(ObjectInput in)`
`byte[]` | `uncompress(byte[] input)` Un-compresses the input data.
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jboss.remoting.loading.ClassBytes
`getClassBytes, getClassName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompressedClassBytes

    public CompressedClassBytes()

### CompressedClassBytes

    public CompressedClassBytes(String className,
                                byte[] data,
                                int compressionLevel)

Method Detail

### main

    public static void main(String[] args)

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### compress

    public byte[] compress(byte[] input)

  Compresses the input data.

  Returns:
    null if compression results in larger output.

### uncompress

    public byte[] uncompress(byte[] input)
                      throws IOException

  Un-compresses the input data.

  Throws:
    `IOException` - if the input is not valid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.